Subject: Re: linux-next: build failure after merge of the moduleh tree

From: Paul Gortmaker <[email-masked]>
Date: Sun, 31 Jul 2011 03:26:25 -0400

[linux-next: build failure after merge of the moduleh tree] On 29/07/2011 (Fri 16:24) Stephen Rothwell wrote:

> Hi Paul,
> 
> After merging the moduleh tree, today's linux-next build (powerpc
> allnoconfig) failed like this:
> 
> kernel/ksysfs.c:161:11: error: 'S_IRUGO' undeclared here (not in a function)

I had a similar commit to this in tree already:

http://git.kernel.org/?p=linux/kernel/git/paulg/linux.git;a=commit;h=f82a90450b1cb580f3b7e8da7d8f41380b49145c

I must have added it after you had pulled your copy.
In any case, we shoudn't see this one again.

Thanks,
Paul.

> 
> Caused by commit d03b684f1773 ("kernel: Map most files to use export.h
> instead of module.h").
> 
> I added this patch for today:
> 
> From: Stephen Rothwell <[email-masked]>
> Date: Fri, 29 Jul 2011 16:21:37 +1000
> Subject: [PATCH] ksysfs: include stat.h for S_IRUGO
> 
> Signed-off-by: Stephen Rothwell <[email-masked]>
> ---
>  kernel/ksysfs.c |    1 +
>  1 files changed, 1 insertions(+), 0 deletions(-)
> 
> diff --git a/kernel/ksysfs.c b/kernel/ksysfs.c
> index 6771de3..ece4547 100644
> --- a/kernel/ksysfs.c
> +++ b/kernel/ksysfs.c
> @@ -17,6 +17,7 @@
>  #include <linux/profile.h>
>  #include <linux/sched.h>
>  #include <linux/capability.h>
> +#include <linux/stat.h>
>  
>  #define KERNEL_ATTR_RO(_name) \
>  static struct kobj_attribute _name##_attr = __ATTR_RO(_name)
> -- 
> 1.7.5.4
> 
> -- 
> Cheers,
> Stephen Rothwell                    [email-masked]
> http://www.canb.auug.org.au/~sfr/